MiniMax Music 3
統合
モデルID
minimax/music-3
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/minimax/music-3?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Warm indie folk, acoustic guitar and soft brushed drums, gentle female vocal, 92 BPM, nostalgic summer evening",
"lyrics": "[verse]\nPorch lights humming on the edge of town\nWe count the fireflies as the sun goes down\n[chorus]\nStay a little longer, the night is young\nSing me the song that we never sung",
"duration": 30
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/music-3?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Warm indie folk, acoustic guitar and soft brushed drums, gentle female vocal, 92 BPM, nostalgic summer evening",
"lyrics": "[verse]\nPorch lights humming on the edge of town\nWe count the fireflies as the sun goes down\n[chorus]\nStay a little longer, the night is young\nSing me the song that we never sung",
"duration": 30
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Warm indie folk, acoustic guitar and soft brushed drums, gentle female vocal, 92 BPM, nostalgic summer evening",
"lyrics": "[verse]\nPorch lights humming on the edge of town\nWe count the fireflies as the sun goes down\n[chorus]\nStay a little longer, the night is young\nSing me the song that we never sung",
"duration": 30,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/music-3", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "minimax/music-3",
"input": {
"prompt": "Warm indie folk, acoustic guitar and soft brushed drums, gentle female vocal, 92 BPM, nostalgic summer evening",
"lyrics": "[verse]\nPorch lights humming on the edge of town\nWe count the fireflies as the sun goes down\n[chorus]\nStay a little longer, the night is young\nSing me the song that we never sung",
"duration": 30
}
}
Doitong APIを通じてMiniMax Music 3モデル(minimax/music-3)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/minimax/music-3.md
POST https://api.doitong.com/v1/run/minimax/music-3?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "Warm indie folk, acoustic guitar and soft brushed drums, gentle female vocal, 92 BPM, nostalgic summer evening",
"lyrics": "[verse]\nPorch lights humming on the edge of town\nWe count the fireflies as the sun goes down\n[chorus]\nStay a little longer, the night is young\nSing me the song that we never sung",
"duration": 30
}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://api.doitong.com/v1/quote/minimax/music-3を実行すると、実行前の正確な価格が返されます。
このリクエスト: $0.06 60 APIクレジット このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
例
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/minimax/music-3?wait=20
見積もり → $0.06
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/minimax/music-3?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Warm indie folk, acoustic guitar and soft brushed drums, gentle female vocal, 92 BPM, nostalgic summer evening",
"lyrics": "[verse]\nPorch lights humming on the edge of town\nWe count the fireflies as the sun goes down\n[chorus]\nStay a little longer, the night is young\nSing me the song that we never sung",
"duration": 30
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/music-3?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Warm indie folk, acoustic guitar and soft brushed drums, gentle female vocal, 92 BPM, nostalgic summer evening",
"lyrics": "[verse]\nPorch lights humming on the edge of town\nWe count the fireflies as the sun goes down\n[chorus]\nStay a little longer, the night is young\nSing me the song that we never sung",
"duration": 30
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Warm indie folk, acoustic guitar and soft brushed drums, gentle female vocal, 92 BPM, nostalgic summer evening",
"lyrics": "[verse]\nPorch lights humming on the edge of town\nWe count the fireflies as the sun goes down\n[chorus]\nStay a little longer, the night is young\nSing me the song that we never sung",
"duration": 30,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/music-3", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "minimax/music-3",
"input": {
"prompt": "Warm indie folk, acoustic guitar and soft brushed drums, gentle female vocal, 92 BPM, nostalgic summer evening",
"lyrics": "[verse]\nPorch lights humming on the edge of town\nWe count the fireflies as the sun goes down\n[chorus]\nStay a little longer, the night is young\nSing me the song that we never sung",
"duration": 30
},
"wait_seconds": 20
}
}
}
MiniMax Music 3について
MiniMax Music 3 は、完全なアレンジに歌詞を乗せて歌唱します。プロンプトでジャンル、テンポ、キー、ムード、ボーカル、楽器を指定し、歌詞内で [verse]、[chorus]、[bridge] などのタグを使って曲の構成を示します。各タグは 独自の行に記述してください。長さ(1 から 300 秒、デフォルト 60)は上限であり、曲がそれより 早く終了する場合があります。
パラメータ
名前型
デフォルト許可される値
説明
prompt必須
型string
Structured Captionを使用して正確に制御できる音楽生成プロンプト。セクションごとの編曲・ボーカル詳細と、ジャンル、BPM、キー、感情の推移を指定するグローバルメタデータを組み合わせます。全体的な説明では、希望するスタイルと雰囲気、ボーカルと楽器の使い方、編曲を指定します。
lyrics必須
型string
歌唱する歌詞。先頭に構造タグがある行のタグと同じ行にある語は、モデルの入力契約により破棄されます。[intro]、[verse]、[pre-chorus]、[chorus]、[post-chorus]、[bridge]、[instrumental]、[solo]、[outro]など、各タグを別の行に記述します。
duration任意
型number
デフォルト60
1 – 300
音声の長さの上限。保証された出力長ではありません。生成が早く終了した場合、レスポンスの実際の長さは短くなることがあります。
seed任意
型integer | null
再現可能な生成に使用するシード。値を指定しない場合はランダムに選択されます。
num_inference_steps任意
型integer
デフォルト30
1 – 100
各8秒のノイズ除去チャンク内でフローマッチングに使用するEulerステップ数。
guidance_scale任意
型number
デフォルト1.7
0 – 20
フローマッチング中のClassifier-free guidance強度。
必須
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "minimax/music-3",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 60,
"usd": "0.06",
"charged": 60,
"refunded": 0
},
"input": {
"prompt": "Genre: acoustic pop. BPM: 96. Key: C major. Warm and intimate, soft female vocal, guitar and light piano",
"lyrics": "[verse]\nMorning light filtering through the pine\nEvery quiet street is yours and mine\n[chorus]\nSoftly the world begins to breathe",
"duration": 30
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"seed": 42,
"duration": 5
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- audio
- object {url, content_type, file_name, file_size}44.1 kHz、16ビットサンプルのステレオWAV形式による出力音声ファイル。
- seed
- integer生成時に使用したランダムシード。
- duration
- number実際に生成された音声の秒数。要求した長さと必ずしも一致しません。
その他のMiniMax Musicバリアント
その他のモデル: テキストから音楽
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/minimax/music-3.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt